using Register_office.BaseClasses;
using Register_office.Model;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace Register_office;

public partial class ProcedureType : IUnionId
{
	public object GetId() => ProcedureTypeId;

	[Display(Name = "hide")]
    public int ProcedureTypeId { get; set; }

	[Display(Name = "Название")]
    public string Name { get; set; } = null!;

	[Browsable(false)]
    public virtual ICollection<ProcedureTypePrescription> ProcedureTypePrescriptions { get; set; } = new List<ProcedureTypePrescription>();
}
